; This file should be always last
[Version]
Signature            = "$CHICAGO$"
DEVTYPE_UIU_INI_FILE = 1
INI_ORDER            = 9000

[TASKS.NTx86]
AddReg	       = AddRegControlPanel, AddRegControlPanelOS.5, AddRegUninstall, AddRegUninstall32
InstallApp     = InstallApp.RunAfterInstallation
CreateShortCut = CreateShortCutConfig

[TASKS.NTamd64]
AddReg	       = AddRegControlPanel, AddRegControlPanelOS.5, AddRegUninstall, AddRegUninstall64
InstallApp     = InstallApp.RunAfterInstallation
CreateShortCut = CreateShortCutConfig

[TASKS.NTx86.6.0]
AddReg	       = AddRegControlPanel, AddRegControlPanelOS.6, AddRegUninstall, AddRegUninstall32
InstallApp     = InstallApp.RunAfterInstallation
CreateShortCut = CreateShortCutConfig

[TASKS.NTamd64.6.0]
AddReg	       = AddRegControlPanel, AddRegControlPanelOS.6, AddRegUninstall, AddRegUninstall64
InstallApp     = InstallApp.RunAfterInstallation
CreateShortCut = CreateShortCutConfig

[AddRegControlPanel]
HKCR, CLSID\%ProjectGUID%,                    , ,%SA3DisplayName%
HKCR, CLSID\%ProjectGUID%, InfoTip,             ,%SA3ToolTip%
HKCR, CLSID\%ProjectGUID%\DefaultIcon,        , ,"%16422%\%SA3Path%\%SA3Icon%"
HKCR, CLSID\%ProjectGUID%\Shell\Open\Command, , ,"%16422%\%SA3Path%\%SA3LauncherExe% %SA3LauncherParams% %SA3AppParams%"
HKLM, SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\ControlPanel\NameSpace\%ProjectGUID%, , ,%SA3DisplayName%
HKLM, SOFTWARE\Conexant\Audio\Control Panel\Open, Command, ,"%16422%\%SA3Path%\%SA3LauncherExe% %SA3LauncherParams% %SA3AppParams%"

[AddRegControlPanelOS.5]
HKCR, CLSID\%ProjectGUID%,"{305CA226-D286-468e-B848-2B2E8E697B74} 2",,"4"

[AddRegControlPanelOS.6]
HKCR, CLSID\%ProjectGUID%,System.ControlPanel.Category,,"2"

[AddRegUninstall]
HKLM, %SA3UninstallReg%, DisplayName,,    %SA3DisplayName%
HKLM, %SA3UninstallReg%, DisplayIcon,,    "%16422%\%SA3Path%\%SA3Icon%"
HKLM, %SA3UninstallReg%, DisplayVersion,, %SAVersion%
HKLM, %SA3UninstallReg%, MajorVersion,,   %SAVersionMajor%
HKLM, %SA3UninstallReg%, VersionMajor,,   %SAVersionMajor%
HKLM, %SA3UninstallReg%, MinorVersion,,   %SAVersionMinor%
HKLM, %SA3UninstallReg%, VersionMinor,,   %SAVersionMinor%
HKLM, %SA3UninstallReg%, Publisher,,      %SA3PublisherName%
HKLM, %SA3UninstallReg%, InstallLocation,,"%16422%\%SA3Path%"
HKCU, Software\Conexant

[AddRegUninstall32]
HKLM, %SA3UninstallReg%, UninstallString,,"%16422%\%SA3Path%\SETUP.EXE   -U -ISA3 -SM=%SA3AppExe%,1801"

[AddRegUninstall64]
HKLM, %SA3UninstallReg%, UninstallString,,"%16422%\%SA3Path%\SETUP64.EXE -U -ISA3 -SM=%SA3AppExe%,1801"

[InstallApp.RunAfterInstallation]
InstallApp   = "%16422%\%SA3Path%\%SA3LauncherExe%", %SA3LauncherParams% /s %SA3AppParams%, 0x22000

[CreateShortCutConfig]
CreateShortCut = "%SA3ShortcutName%", "%16407%\%SA3CustomerName%", "%16422%\%SA3Path%\%SA3Icon%", "%16422%\%SA3Path%\%SA3LauncherExe%", "%SA3LauncherParams% %SA3AppParams%",,,"%SA3ToolTip%"
CreateShortCut = "%SA3ShortcutName%", "%16409%",                   "%16422%\%SA3Path%\%SA3Icon%", "%16422%\%SA3Path%\%SA3LauncherExe%", "%SA3LauncherParams% %SA3AppParams%",,,"%SA3ToolTip%"

[Strings]
; Should be unique for each SA3 project
SA3CustomerName   = "Somic"
SA3PublisherName  = "Conexant Systems"
SA3DisplayName    = "Somic 7.1 Sound Effect Gaming Headset Application"
SA3ShortcutName   = "Somic 7.1 Sound Effect Gaming Headset"
SA3ToolTip        = "Controls Somic Audio Settings"
ProjectGUID       = "{578afc47-8979-4cf6-bf28-f31b1508c138}"
ProjectID         = "Somic-G941-G938"
SA3Path           = "Conexant\SA3\Somic-G941-G938"
SA3UninstallReg   = "Software\Microsoft\Windows\CurrentVersion\Uninstall\Somic-G941-G938"
SA3LauncherParams = "/sa3 /nv:3.0+ /uid:Somic-G941-G938"

SA3AppParams      = "/dne /demo"
SA3Icon           = "SADefaultIcon.ico"
SA3LauncherExe    = "SACpl.exe"
SA3AppExe         = "SmartAudio3.exe"
SAVersion         = "2.0.33.3"
SAVersionMajor    = "3"
SAVersionMinor    = "3"
